program APixColor;

uses
  Forms,
  Windows,
  MainForm in 'MainForm.pas' {frmMain},
  ConstUnit in 'ConstUnit.pas',
  AboutForm in 'AboutForm.pas' {frmAbout};

{$R *.RES}

  function TaskCheck: Boolean;
  {
  var
    IniFile: TIniFile;
  }  
  begin
    Result := true;
    {
    if not FileExists(ExtractFilePath(paramstr(0)) + ini) then Exit;
    inifile := TIniFile.Create(ExtractFilePath(paramstr(0)) + ini);
    try
      Result := not inifile.ReadBool(sSettings, 'Allow', false);
    finally
      inifile.Free
    end;
    }
  end;

  procedure FocusFirstWindow;
  var
    Window: THandle;
    //Data: TCopyDataStruct;
  begin
    Window := FindWindow('TfrmMain', STR_APPNAME);
    if Window > 0 then
    begin
      SetForegroundWindow(Window);
      //data.dwData := 0;
      //SendMessage(Window, WM_SENDHANDLE, 0, LongInt(@data));
    end;
  end;

var
  hMutex: THandle; //Mutex handle

begin
  //Check for multiple instances
  if TaskCheck then
  begin
    hMutex := CreateMutex(nil, false, 'APixClr');
    if GetLastError = ERROR_ALREADY_EXISTS then
    begin
      FocusFirstWindow;
      CloseHandle(hMutex);
      Exit;
    end;
  end
  else
  begin
    hMutex := 0;
  end;  

  Application.Initialize;
  Application.CreateForm(TfrmMain, frmMain);
  Application.Run;

  if hMutex <> 0 then
    CloseHandle(hMutex);
end.
